# Class BulkStatus

java.lang.Object
org.mariadb.jdbc.internal.util.BulkStatus

public class BulkStatus extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`sendCmdCounter`
`boolean`
`sendEnded`
`int`
`sendSubCmdCounter`

## Constructor Summary

Constructors
Constructor
Description
`BulkStatus()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### sendSubCmdCounter

public volatile int sendSubCmdCounter

### sendEnded

public volatile boolean sendEnded

### sendCmdCounter

public int sendCmdCounter

## Constructor Details

### BulkStatus

public BulkStatus()